org.eclipse.viatra.addon.viewers.runtime.extensions.jface

## Class ViatraViewersJFaceViewSupport

- java.lang.Object
- - org.eclipse.viatra.addon.viewers.runtime.extensions.ViatraViewersPartSupport
  - - org.eclipse.viatra.addon.viewers.runtime.extensions.ViatraViewersViewSupport
    - - org.eclipse.viatra.addon.viewers.runtime.extensions.jface.ViatraViewersJFaceViewSupport

- All Implemented Interfaces:
    org.eclipse.jface.viewers.ISelectionProvider
  Direct Known Subclasses:
    ViatraViewersZestViewSupport

      public class ViatraViewersJFaceViewSupport
      extends ViatraViewersViewSupport
      implements org.eclipse.jface.viewers.ISelectionProvider

  VIATRA Viewers support class to support `ViewPart`s with a single JFace Viewer.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.eclipse.jface.viewers.ContentViewer` | `jfaceViewer`

    - ### Fields inherited from class org.eclipse.viatra.addon.viewers.runtime.extensions.ViatraViewersViewSupport

      `connectorType, modelSource, state`

    - ### Fields inherited from class org.eclipse.viatra.addon.viewers.runtime.extensions.ViatraViewersPartSupport

      `configuration, owner`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ViatraViewersJFaceViewSupport(org.eclipse.ui.IViewPart _owner, ViewersComponentConfiguration _config, IModelConnectorTypeEnum _scope, org.eclipse.jface.viewers.ContentViewer _jfaceViewer)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addSelectionChangedListener(org.eclipse.jface.viewers.ISelectionChangedListener listener)`
    `protected void` | `bindModel()` Subclasses bind their viewer models here.
    `void` | `dispose()` Dispose the support instance.
    `org.eclipse.jface.viewers.ISelection` | `getSelection()`
    `protected void` | `init()` Initialize the support instance.
    `protected void` | `onSelectionChanged(java.util.List<java.lang.Object> objects)`
    `void` | `removeSelectionChangedListener(org.eclipse.jface.viewers.ISelectionChangedListener listener)`
    `void` | `setSelection(org.eclipse.jface.viewers.ISelection selection)`
    `protected void` | `unbindModel()` Subclasses unbind their viewer models here.

    - ### Methods inherited from class org.eclipse.viatra.addon.viewers.runtime.extensions.ViatraViewersViewSupport

      `createPartControl, extractModelSource, getEngine, getOwner`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### jfaceViewer

          protected org.eclipse.jface.viewers.ContentViewer jfaceViewer

  - ### Constructor Detail

    - #### ViatraViewersJFaceViewSupport

          public ViatraViewersJFaceViewSupport(org.eclipse.ui.IViewPart _owner,
                                               ViewersComponentConfiguration _config,
                                               IModelConnectorTypeEnum _scope,
                                               org.eclipse.jface.viewers.ContentViewer _jfaceViewer)

  - ### Method Detail

    - #### init

          protected void init()

      Description copied from class: `ViatraViewersPartSupport`
      Initialize the support instance.
      Overrides:
        `init` in class `ViatraViewersPartSupport`

    - #### dispose

          public void dispose()

      Description copied from class: `ViatraViewersPartSupport`
      Dispose the support instance. Should be called when the owner `IWorkbenchPart` it starting to dispose itself.
      Overrides:
        `dispose` in class `ViatraViewersViewSupport`

    - #### bindModel

          protected void bindModel()

      Description copied from class: `ViatraViewersViewSupport`
      Subclasses bind their viewer models here.
      Specified by:
        `bindModel` in class `ViatraViewersViewSupport`

    - #### unbindModel

          protected void unbindModel()

      Description copied from class: `ViatraViewersViewSupport`
      Subclasses unbind their viewer models here.
      Specified by:
        `unbindModel` in class `ViatraViewersViewSupport`

    - #### addSelectionChangedListener

          public void addSelectionChangedListener(org.eclipse.jface.viewers.ISelectionChangedListener listener)

      Specified by:
        `addSelectionChangedListener` in interface `org.eclipse.jface.viewers.ISelectionProvider`

    - #### getSelection

          public org.eclipse.jface.viewers.ISelection getSelection()

      Specified by:
        `getSelection` in interface `org.eclipse.jface.viewers.ISelectionProvider`

    - #### removeSelectionChangedListener

          public void removeSelectionChangedListener(org.eclipse.jface.viewers.ISelectionChangedListener listener)

      Specified by:
        `removeSelectionChangedListener` in interface `org.eclipse.jface.viewers.ISelectionProvider`

    - #### setSelection

          public void setSelection(org.eclipse.jface.viewers.ISelection selection)

      Specified by:
        `setSelection` in interface `org.eclipse.jface.viewers.ISelectionProvider`

    - #### onSelectionChanged

          protected void onSelectionChanged(java.util.List<java.lang.Object> objects)

      Overrides:
        `onSelectionChanged` in class `ViatraViewersViewSupport`